Subject: [BUG] difference of info from diff and blame

From: Semyon Kirnosenko <[email-masked]>
Date: Tue, 11 Jan 2011 13:38:50 +0300

Hi.

I'm working on automatic processing of info from git. And I have some 
problems. Let me show it on an axample.

I have jquery repo (https://github.com/jquery/jquery.git)
Let's get blame for some file in some revision:
git blame -l -s 2ad223aedd1f93c783d98d60adc9fda3bdfbb4b6 -- 
src/event/event.js
According to blame, line 127 was added in revision 
2ad223aedd1f93c783d98d60adc9fda3bdfbb4b6.
Let's get diff for that revision:
git diff-tree -p 2ad223aedd1f93c783d98d60adc9fda3bdfbb4b6 -- 
src/event/event.js
We can see this:
@@ -105,19 +120,16 @@ jQuery.event = {

  		// Handle triggering a single element
  		else {
-			var handler = element["on" + type ], val,
-				fn = jQuery.isFunction( element[ type
+			var val, ret, fn = jQuery.isFunction( element
+			
+			// Pass along a fake event
+			data.unshift( this.fix({ type: type, target:

-			if ( handler ) {

As you can see line 127 is not marked with '+' char, which means it was 
not added in this revision. But blame sad otherwise.

I had the same problem on a wide range of repos.
I think it's a bug.